package com.zbf.system.service;

import java.util.List;

import com.zbf.system.domain.TRkReceivingGoods;

/**
 * 收货单Service接口
 *
 * @author tony
 * @date 2024-06-18
 */
public interface ITRkReceivingGoodsService
{
    /**
     * 查询收货单
     *
     * @param id 收货单主键
     * @return 收货单
     */
    public TRkReceivingGoods selectTRkReceivingGoodsById(String id);

    /**
     * 查询收货单列表
     *
     * @param tRkReceivingGoods 收货单
     * @return 收货单集合
     */
    public List<TRkReceivingGoods> selectTRkReceivingGoodsList(TRkReceivingGoods tRkReceivingGoods);

    /**
     * 新增收货单
     *
     * @param tRkReceivingGoods 收货单
     * @return 结果
     */
    public int insertTRkReceivingGoods(TRkReceivingGoods tRkReceivingGoods);

    /**
     * 修改收货单
     *
     * @param tRkReceivingGoods 收货单
     * @return 结果
     */
    public int updateTRkReceivingGoods(TRkReceivingGoods tRkReceivingGoods);

    /**
     * 批量删除收货单
     *
     * @param ids 需要删除的收货单主键集合
     * @return 结果
     */
    public int deleteTRkReceivingGoodsByIds(String[] ids);

    /**
     * 删除收货单信息
     *
     * @param id 收货单主键
     * @return 结果
     */
    public int deleteTRkReceivingGoodsById(String id);

    /**
     * 批量禁用收货单
     *
     * @param ids 需要禁用的收货单主键集合
     * @return 结果
     */
    public int disabledTRkReceivingGoodsByIds(String[] ids);

    /**
     * 批量启用收货单
     *
     * @param ids 需要启用的收货单主键集合
     * @return 结果
     */
    public int enableTRkReceivingGoodsByIds(String[] ids);

    /**
     * 改变状态
     *
     * @param tRkReceivingGoods
     * @return 结果
     */
    public int updateStatus(TRkReceivingGoods tRkReceivingGoods);
}

